Foxit PDF SDK

Public Member Functions | List of all members
FSDK.LRContentElement Class Reference
Inheritance diagram for FSDK.LRContentElement:

## Public Member Functions
| constructor ()
| Constructor.
| GetBBox ()
| Get bounding box. More...
| GetGraphicsObjectElement ()
| Get the related graphics object element. More...
| GetGraphicsObjectRange ()
| Get the range of current content element in current graphics object. More...
| GetMatrix ()
| Get matrix. More...
| GetParentElement ()
| Get the parent element. More...
Public Member Functions inherited from FSDK.LRElement
| constructor ()
| Structure element type: AnnotContent; which means annotation content element. More...
| GetElementType ()
| Get element type. More...
| IsContentElement ()
| Check whether current object is content element or not. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| IsGraphicsObjectElement ()
| Check whether current object is graphics object element or not. More...
| IsStructureElement ()
| Check whether current object is structure element or not. More...
| StringifyElementType (type)
| Convert enum value of a specified element type to a short and memorable string (text) representation. More...
| StringifyType ()
| Convert type (enum value) of current element to a short and memorable string (text) representation. More...

## Additional Inherited Members
Static Public Attributes inherited from FSDK.LRElement
static | e_ElementTypeAnnot
| Structure element type: Annot; which means "Annotation" and represents an association between a portion of the ILSE's content and a corresponding PDF annotation.
static | e_ElementTypeAnnotObject
| Structure element type: AnnotObject; which means annotation object element.
static | e_ElementTypeArt
| Structure element type: Art; which means "Article" and represents a relatively self-contained body of text constituting a single narrative or exposition.
static | e_ElementTypeArtifact
| Structure element type: Artifact; which includes other Pagination; Layout; Page and Background artifacts.
static | e_ElementTypeAside
| Structure element type: Aside (PDF 2.0); which represents content that is distinct from other content within its parent structure element.
static | e_ElementTypeBibEntry
| Structure element type: BibEntry; which means "Bibliography entry" and represents a reference identifying the external source of some cited content.
static | e_ElementTypeBlockQuote
| Structure element type: BlockQuote; which means "Block quotation" and represents a portion of text consisting of one or more paragraphs attributed to someone other than the author of the surrounding text.
static | e_ElementTypeCaption
| Structure element type: Caption; which represents a brief portion of text describing a table or figure.
static | e_ElementTypeCode
| Structure element type: Code; which represents a fragment of computer program text.
static | e_ElementTypeComplexContent
| Structure element type: ComplexContent; which means complex content element.
static | e_ElementTypeContainerObject
| Structure element type: ContainerObject; which means container object element.
static | e_ElementTypeDiv
| Structure element type: Div; which means "Division" and represents a generic block-level element or group of elements.
static | e_ElementTypeDocument
| Enumeration for standard structure types. More...
static | e_ElementTypeDocumentFragment
| Structure element type: DocumentFragment (PDF 2.0); which represents a part of an original complete document.
static | e_ElementTypeEm
| Structure element type: Em (PDF 2.0); which means "Emphasis" and represents content for the purpose of emphasis.
static | e_ElementTypeFENote
| Structure element type: FENote (PDF 2.0); which is used to markup footnotes and endnotes.
static | e_ElementTypeFigure
| Structure element type: Figure; which represents an item of graphical content.
static | e_ElementTypeForm
| Structure element type: Form; which represents a widget annotation representing an interactive form field.
static | e_ElementTypeFormObject
| Structure element type: FormObject; which means form XObject graphics object element.
static | e_ElementTypeFormula
| Structure element type: Formula; which represents a mathematical formula.
static | e_ElementTypeHeading
| Structure element type: H; which means "Heading" and represents a label for a subdivision of a document's content. It should be the first child of the division that it heads.
static | e_ElementTypeHeading1
| Structure element type: H1; which represents heading with level 1.
static | e_ElementTypeHeading2
| Structure element type: H2; which represents heading with level 2.
static | e_ElementTypeHeading3
| Structure element type: H3; which represents heading with level 3.
static | e_ElementTypeHeading4
| Structure element type: H4; which represents heading with level 4.
static | e_ElementTypeHeading5
| Structure element type: H5; which represents heading with level 5.
static | e_ElementTypeHeading6
| Structure element type: H6; which represents heading with level 6.
static | e_ElementTypeHeadingN
| Structure element type: Hn (PDF 2.0); which represents heading with level 7 or more.
static | e_ElementTypeImageContent
| Structure element type: ImageContent; which means image content element.
static | e_ElementTypeImageObject
| Structure element type: ImageObject; which means image graphics object element.
static | e_ElementTypeIndex
| Structure element type: Index; which represents a sequence of entries containing identifying text accompanied by reference elements that point out occurrences of the specified text in the main body of a document.
static | e_ElementTypeLink
| Structure element type: Link; which represents an association between a portion of the ILSE's content and a corresponding link annotation or annotations.
static | e_ElementTypeList
| Structure element type: L; which means "List" and represents a sequence of items of like meaning and importance.
static | e_ElementTypeListBody
| Structure element type: LBody; which means "List body" and reprsents the descriptive content of a list item.
static | e_ElementTypeListItem
| Structure element type: LI; which means "List item" and represents an individual member of a list.
static | e_ElementTypeListLabel
| Structure element type: Lbl; which means "Label" and represents a name or number that distinguishes a given item from others in the same list or other group of like items.
static | e_ElementTypeNonStruct
| Structure element type: NonStruct; which means "Nonstructural element" and represents a grouping element having no inherent structural significance; it serves solely for grouping purposes.
static | e_ElementTypeNote
| Structure element type: Note; which represents an item of explanatory text; such as a footnote or an endnote; that is referred to from within the body of the document.
static | e_ElementTypePageObject
| Structure element type: PageObject; which means page object element.
static | e_ElementTypeParagraph
| Structure element type: P; which means "Paragraph" and represents a low-level division of text.
static | e_ElementTypePart
| Structure element type: Part; which represents a large-scale division of a document.
static | e_ElementTypePathContent
| Structure element type: PathContent; which means path content element.
static | e_ElementTypePathObject
| Structure element type: PathObject; which means path graphics object element.
static | e_ElementTypePrivate
| Structure element type: Private; which means "Private element" and represents a grouping element containing private content belonging to the application producing it.
static | e_ElementTypeQuote
| Structure element type: Quote; which means "Quotation" and represents an inline portion of text attributed to someone other than the author of the surrounding text.
static | e_ElementTypeReference
| Structure element type: Reference; which represents a citation to content elsewhere in the document.
static | e_ElementTypeRuby
| Structure element type: Ruby; which represents the wrapper around the entire ruby assembly.
static | e_ElementTypeRubyAnnot
| Structure element type: RT; which means "Ruby annotation text" and represents the smaller-size text that is placed adjacent to the ruby base text.
static | e_ElementTypeRubyBase
| Structure element type: RB; which means "Ruby base text" and represents the full-size text to which the ruby annotation is applied.
static | e_ElementTypeRubyPunc
| Structure element type: RP; which means "Ruby punctuation" and represents punctuation surrounding the ruby annotation text.
static | e_ElementTypeSect
| Structure element type: Sect; which means "Section" and represents a container for grouping related content elements.
static | e_ElementTypeShadingContent
| Structure element type: ShadingContent; which means shading content element.
static | e_ElementTypeShadingObject
| Structure element type: ShadingObject; which means shading graphics object element.
static | e_ElementTypeSpan
| Structure element type: Span; which represents a generic inline portion of text having no particular inherent characteristics.
static | e_ElementTypeStrong
| Structure element type: Strong (PDF 2.0); which represents content for the purpose of strong importance; seriousness or urgency for its contents.
static | e_ElementTypeSub
| Structure element type: Sub (PDF 2.0); which means "Sub-division of a block level element" and represents content typically perceived as a sub-division inside a block level structure element.
static | e_ElementTypeTable
| Structure element type: Table; which represents a two-dimensional layout of rectangular data cells; possibly having a complex substructure.
static | e_ElementTypeTableBodyGroup
| Structure element type: TBody; which means "Table body row group" and represents a group of rows that constitute the main body portion of a table.
static | e_ElementTypeTableDataCell
| Structure element type: TD; which means "Table data cell" and represents a table cell containing data that is part of the table's content.
static | e_ElementTypeTableFootGroup
| Structure element type: TFoot; which means "Table footer row group" and represents a group of rows that constitute the footer of a table.
static | e_ElementTypeTableHeaderCell
| Structure element type: TH; which means "Table header cell" and represents a table cell containing header text describing one or more rows or columns of the table.
static | e_ElementTypeTableHeaderGroup
| Structure element type: THead; which means "Table header row group" and represents a group of rows that constitute the header of a table.
static | e_ElementTypeTableRow
| Structure element type: TR; which means "Table row" and represents a row of headings or data in a table.
static | e_ElementTypeTextContent
| Structure element type: TextContent; which means text content element.
static | e_ElementTypeTextObject
| Structure element type: TextObject; which means text graphics object element.
static | e_ElementTypeTitle
| Structure element type: Title (PDF 2.0); which represents content that is usually referred to as the title of a document or high-level devision of content.
static | e_ElementTypeTOC
| Structure element type: TOC; which means "Table of contents" and represents a list made up of table of contents item entries and/or other nested table of contents entries.
static | e_ElementTypeTOCI
| Structure element type: TOCI; which means "Table of contents item" and represents an individual member of a table of contents.
static | e_ElementTypeWarichu
| Structure element type: Warichu; which represents the wrapper around the entire warichu assembly.
static | e_ElementTypeWarichuPunc
| Structure element type: WP; which means "Warichu punctuation" and represents the punctuation that surrounds the WT text.
static | e_ElementTypeWarichuText
| Structure element type: WT; which means "Warichu text" and represents the smaller-size text of a warichu comment that is formatted into two lines and placed between surrounding WP elements.

## Detailed Description

This class represents a content element. A content element contains the content from the graphics object.

## Member Function Documentation

## ◆ GetBBox()

FSDK.LRContentElement.GetBBox | ( |  | ) |

Get bounding box.

Returns
  Bounding box.

## ◆ GetGraphicsObjectElement()

FSDK.LRContentElement.GetGraphicsObjectElement | ( |  | ) |

Get the related graphics object element.

Returns
  Related graphics object element. If function FSDK.LRGraphicsObjectElement.IsEmpty for the returned object returns true, that means current element does not have a parent element.

## ◆ GetGraphicsObjectRange()

FSDK.LRContentElement.GetGraphicsObjectRange | ( |  | ) |

Get the range of current content element in current graphics object.

All the indexes specified in the range represents current content element in the graphics object position.

Returns
  A range object.

## ◆ GetMatrix()

FSDK.LRContentElement.GetMatrix | ( |  | ) |

Get matrix.

Returns
  Matrix.

## ◆ GetParentElement()

FSDK.LRContentElement.GetParentElement | ( |  | ) |

Get the parent element.

Returns
  Parent element. If function FSDK.LRStructureElement.IsEmpty for the returned object returns true, that means current element does not have a parent element.